function onBegin()
    --log(getHealth())
    setFlag("uumuu_slow", true)
    while not getFlag("uumuu_static") do
		wait()
	end
    playPuppetAnim("damagedstart")
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/QuirrelBattleShout",puppet.Center)
	wait(0.5)
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/UumuuWounded",puppet.Center)
    wait(0.5)
    --miniTextbox("shrink_anim")
    setFlag("uumuu_change_vulnerable", true)
    playPuppetAnim("damaged")
    wait(3.6)
    playPuppetAnim("damagedend")
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/UumuuBackToNormal",puppet.Center)
    wait(0.5)
    setFlag("uumuu_change_vulnerable", true)
    --log(getHealth())
end